singleton Material(tire)
{
    mapTo = "tire";
    diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01a)
{
    mapTo = "tire_01a";
    diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01a_on_intense)
{
    mapTo = "tire_01a_on_intense";
    diffuseMap[2] = "vehicles/common/tires/offroadtire_01a_g.dds";
    specularMap[2] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[2] = "vehicles/common/tires/offroadtire_01a_n.dds";
	diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(tire_01a_on)
{
    mapTo = "tire_01a_on";
    diffuseMap[2] = "vehicles/common/tires/offroadtire_01a_g.dds";
    specularMap[2] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[2] = "vehicles/common/tires/offroadtire_01a_n.dds";
	diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01a_on_intense_alt)
{
    mapTo = "tire_01a_on_intense_alt";
    diffuseMap[2] = "vehicles/common/tires/offroadtire_01a_g_alt.dds";
    specularMap[2] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[2] = "vehicles/common/tires/offroadtire_01a_n.dds";
	diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(tire_01a_on_alt)
{
    mapTo = "tire_01a_on_alt";
    diffuseMap[2] = "vehicles/common/tires/offroadtire_01a_g_alt.dds";
    specularMap[2] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[2] = "vehicles/common/tires/offroadtire_01a_n.dds";
	diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01a_old)
{
    mapTo = "tire_01a_old";
    diffuseMap[1] = "vehicles/common/tires/tire_01a_old.dds";
    specularMap[1] = "vehicles/common/tires/tire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_02a)
{
    mapTo = "tire_02a";
    diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01b)
{
    mapTo = "tire_01b";
    diffuseMap[1] = "vehicles/common/tires/tire_01b_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01e)
{
    mapTo = "tire_01e";
    diffuseMap[1] = "vehicles/common/tires/tire_01e_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01c)
{
    mapTo = "tire_01c";
    diffuseMap[1] = "vehicles/common/tires/tire_01c_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01d)
{
    mapTo = "tire_01d";
    diffuseMap[1] = "vehicles/common/tires/tire_01d_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01d_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01d_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01d_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

/*
singleton Material(tire_01f)
{
    mapTo = "tire_01f";
    diffuseMap[1] = "vehicles/common/tires/tire_01f_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01f_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01f_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01f_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
*/


singleton Material(tire_01f)
{
    mapTo = "tire_01f";
    diffuseMap[1] = "vehicles/common/tires/tire_01h_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01h_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01h_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01h_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tire_01h)
{
    mapTo = "tire_01h";
    diffuseMap[1] = "vehicles/common/tires/tire_01h_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01h_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01h_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01h_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(tire_01g)
{
    mapTo = "tire_01g";
    diffuseMap[1] = "vehicles/common/tires/tire_01g_d.dds";
    specularMap[1] = "vehicles/common/tires/tire_01f_s.dds";
    normalMap[1] = "vehicles/common/tires/tire_01d_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/tire_01d_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(offroadtire_01a)
{
    mapTo = "offroadtire";
    diffuseMap[1] = "vehicles/common/tires/offroadtire_01a_d.dds";
    specularMap[1] = "vehicles/common/tires/offroadtire_01a_s.dds";
    normalMap[1] = "vehicles/common/tires/offroadtire_01a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tires/offroadtire_01a_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};